Permalink
Browse files

newer SWT builds now require Java 1.7, so we also need to upgrade

  • Loading branch information...
1 parent 358c313 commit 3240cae0508665f368f9f4a35e444778b3ebaf13 @angryziber committed Dec 7, 2016
View
@@ -1,9 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
- <component name="EntryPointsManager">
- <entry_points version="2.0" />
- </component>
- <component name="ProjectRootManager" version="2" languageLevel="JDK_1_6" default="false" assert-keyword="true" jdk-15="true" project-jdk-name="1.8" project-jdk-type="JavaSDK">
+ <component name="ProjectRootManager" version="2" languageLevel="JDK_1_7" default="false" project-jdk-name="1.8" project-jdk-type="JavaSDK">
<output url="file://$PROJECT_DIR$/out" />
</component>
</project>
View
@@ -10,7 +10,7 @@ IntelliJ IDEA is recommended for coding (Community Edition is fine).
## Building [![Build Status](https://travis-ci.org/angryziber/ipscan.svg?branch=master)](https://travis-ci.org/angryziber/ipscan)
-JDK 1.6+ as well as Ant are required for building.
+JDK 1.7+ as well as Ant are required for building.
Using these tools you can build on any platform. The binaries are in the form of
`.jar` files and can be run with `java -jar <jar-file>`. Deb and rpm packages can
View
@@ -101,7 +101,7 @@
<attribute name="dest" default="${bin}.@{platform}"/>
<sequential>
<mkdir dir="@{dest}"/>
- <javac destdir="@{dest}" debug="@{debug}" source="1.6" target="1.6" optimize="@{optimize}" encoding="UTF-8">
+ <javac destdir="@{dest}" debug="@{debug}" source="1.7" target="1.7" optimize="@{optimize}" encoding="UTF-8">
<src path="@{path}"/>
<src path="@{extpath}"/>
<classpath>
@@ -4,7 +4,7 @@ Version: VERSION-1
Priority: optional
Architecture: ARCH
Installed-Size: 1710
-Depends: openjdk-8-jre | oracle-java8-installer | openjdk-7-jre | oracle-java7-installer | openjdk-6-jre | sun-java6-jre
+Depends: openjdk-8-jre | oracle-java8-installer | openjdk-7-jre | oracle-java7-installer
Maintainer: Anton Keks <anton@azib.net>
Description: Angry IP Scanner - fast and friendly IP Scanner
Angry IP Scanner is a cross-platform network scanner written in Java.
@@ -12,7 +12,7 @@
<manifest>../ext/launch4j/ipscan.manifest</manifest>
<icon>../resources/images/icon.ico</icon>
<jre>
- <minVersion>1.6.0</minVersion>
+ <minVersion>1.7.0</minVersion>
</jre>
<versionInfo>
<fileVersion>3.0.0.0</fileVersion>
@@ -7,7 +7,7 @@ Group: Applications/Internet
BuildRoot: %{_builddir}/%{name}
URL: http://angryip.org
Packager: Anton Keks
-Requires: jre >= 1.6.0
+Requires: jre >= 1.7.0
%description
Angry IP Scanner is a cross-platform network scanner written in Java.
@@ -15,7 +15,7 @@
<jre>
<path></path>
<bundledJre64Bit>false</bundledJre64Bit>
- <minVersion>1.6.0</minVersion>
+ <minVersion>1.7.0</minVersion>
<maxVersion></maxVersion>
<jdkPreference>preferJre</jdkPreference>
</jre>

0 comments on commit 3240cae

Please sign in to comment.